<script lang="ts">
	import { goto } from '$app/navigation';
	import LoginCard from '../../../components/login/LoginCard.svelte';
	import { isVisitor } from '../../../stores/stores';
	import type { ActionData } from './$types';
	import { onMount } from 'svelte';

	export let form: ActionData;

	onMount(() => {
		if (form?.success) {
			sessionStorage.setItem(
				'customerID',
				form?.customer?.customerID?.value ? form?.customer?.customerID?.value : 0
			);
			$isVisitor = false;
		}
		if (sessionStorage.getItem('customerID')) {
			goto('/reserve');
		}
	});
</script>

<div class="relative h-full w-full overflow-hidden">
	<div class="absolute bg-primary-800 bg-opacity-30 z-10 h-screen w-screen" />
	<img
		class="absolute z-20 h-screen w-screen object-cover"
		src="main-hotel.jpg"
		alt="L'hotel vu de l'avant"
	/>
	<div class="absolute w-full h-full flex items-center justify-center" style="z-index: 100;">
		<div class="flex flex-col items-center gap-4 bg-black bg-opacity-60 p-4 text-white rounded-lg">
			<div class="grow flex items-center justify-center">
				<div class="w-full flex items-center justify-center p-2">
					<LoginCard />
				</div>
			</div>
		</div>
	</div>
</div>
